/*
 *	MEM.LDG
 *	
 *	This file should be included by
 *	your client application.
 */

#include <ldg.h>

extern void* __CDECL (*_ldg_malloc)			( long size, long context);
extern void* __CDECL (*_ldg_calloc)			( long num, long size, long context);
extern void* __CDECL (*_ldg_realloc)		( void *adr, long size, long context);
extern void  __CDECL (*_ldg_free)			( void* addr, long context);
extern void  __CDECL (*_ldg_mallocczero)	( long yes, long context);
extern void  __CDECL (*_ldg_mallocChunkSize)( long size, long context);
extern char* __CDECL (*_ldg_strdup)			( char *src, long context);
extern char* __CDECL (*_ldg_allocmode)		( long mode, long context);

#define ldg_malloc(s) _ldg_malloc(s,ldg_global[2])
#define ldg_calloc(s) _ldg_calloc(s,ldg_global[2])
#define ldg_realloc(s) _ldg_realloc(s,ldg_global[2])
#define ldg_free(s) _ldg_free(s,ldg_global[2])
#define ldg_mallocczero(s) _ldg_mallocczero(s,ldg_global[2])
#define ldg_mallocChunkSize(s) _ldg_mallocChunkSize(s,ldg_global[2])
#define ldg_strdup(s) _ldg_strdup(s,ldg_global[2])
#define ldg_allocmode(s) _ldg_allocmode(s,ldg_global[2])

int ldg_mem_init( char *lib, int vers, LDG **mem);

