/* ---------------------------------------------------------
 *	Librairie Dynamique GEM
 *	Olivier Landemarre, Dominique Brziat, Arnaud Bercegeay
 *	tous droits rservs 1997/1998/1999/2000/2001/2002
 * ---------------------------------------------------------
 *	module : tsrinfo.c
 *	rle : Info sur l'installation du cookie dans une
 *	       boite GEM (plutot que sur l'cran).
 * ---------------------------------------------------------
 */

#define __GEMLIB_OLDNAMES	/* Activer les vieux noms GEMLIB */

#include <string.h>
#include <gem.h>
#include "tsrinfo.rsh"
#include "tsrinfo.rh"

#define dialog rs_trindex[TSRINFO]
static short obx, oby, obw, obh;

void message( char *msg) {
	strcpy( dialog[TSRMESAG].ob_spec.free_string, msg);
	objc_draw( dialog, 0, 1, obx, oby, obw, obh);
	evnt_timer( 1500);
}

void start_info( char *version) {
	int i;
	appl_init();
	for( i=0; i<NUM_OBS; i++)
		rsrc_obfix(& rs_object[i],0);
	strcpy( dialog[TSRVERSION].ob_spec.free_string, version);
	form_center( dialog, &obx, &oby, &obw, &obh);
	form_dial( FMD_START, 0, 0, 0, 0, obx, oby, obw, obh);
	/* 	form_dial( FMD_GROW, 0, 0, 0, 0, x, y, w, h); */
	while( !wind_update( BEG_MCTRL));
	objc_draw( dialog, 0, MAX_DEPTH, obx, oby, obw, obh);
}

void end_info( void) {
	form_dial( FMD_FINISH, 0, 0, 0, 0, obx, oby, obw, obh);
	wind_update( END_MCTRL);
	appl_exit();
}

